Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455836 - rpm doesn't automatically clean old db environment
Summary: rpm doesn't automatically clean old db environment
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 485081 485142 489225 493470 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 07:01 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2009-12-18 06:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:15:11 UTC


Attachments (Terms of Use)
output of yum update (deleted)
2008-07-18 07:01 UTC, Kai Engert (:kaie) (inactive account)
no flags Details

Description Kai Engert (:kaie) (inactive account) 2008-07-18 07:01:32 UTC
rawhide running inside vmware

did a "yum upgrade -y" after not having used that image for a while

yum downloaded and installed and cleaned up, but then failed with an error message.

the command "rpm -qi rpm yum" produces more error messages

see attached text file

Comment 1 Kai Engert (:kaie) (inactive account) 2008-07-18 07:01:32 UTC
Created attachment 312105 [details]
output of yum update

Comment 2 Panu Matilainen 2008-07-18 08:12:15 UTC
Rpm itself got updated and the Berkeley DB version it uses for rpmdb changed,
nothing to worry about here: Just do "rm -f /var/lib/rpm/__db*" to clean up the
Berkeley DB environment from old version, it's not corrupted or anything.

The only bug here is that the environment cleanup isn't done automatically as it
should.

Comment 3 Kai Engert (:kaie) (inactive account) 2008-07-18 14:07:55 UTC
Thanks a lot, after the removal I can use yum and rpm again.

Please feel free to resolve this as WORKSFORME (unless you want to keep it open
for the automatic cleanup on rpm update)




Comment 4 Panu Matilainen 2008-07-20 09:27:01 UTC
Changing summary to better describe the actual issue, leaving open as the issue
is something I want to get fixed soonish.

Comment 5 Bug Zapper 2008-11-26 02:34:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Henrik Nordström 2009-02-11 14:47:33 UTC
*** Bug 485081 has been marked as a duplicate of this bug. ***

Comment 7 Henrik Nordström 2009-02-11 14:50:33 UTC
Occurred again in F11 rawhide when db4 upgrade from 4.5 to 4.7.

cd /var/lib/rpm
db_recover

recovered it.

Comment 8 Panu Matilainen 2009-02-12 08:00:17 UTC
*** Bug 485142 has been marked as a duplicate of this bug. ***

Comment 9 Panu Matilainen 2009-03-18 13:17:04 UTC
*** Bug 489225 has been marked as a duplicate of this bug. ***

Comment 10 James Antill 2009-04-01 21:34:32 UTC
*** Bug 493470 has been marked as a duplicate of this bug. ***

Comment 11 Bug Zapper 2009-11-18 08:13:53 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-12-18 06:15:11 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.